Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPoint

    java.lang.Object
      igeo.IObject
          igeo.IGeometry
              igeo.IPoint

All Implemented Interfaces:
  IArithmeticVal<IVecI,IDoubleI>, IParameter, ITransformable, IVal, IVecI, IVecOp

    public class IPoint

extends IGeometry
implements IVecI

Class of point object.

Author:
  Satoru Sugihara

Field Summary
`IVec` | `pos`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IPoint()`
`IPoint(double x, double y)`
`IPoint(double x, double y, double z)`
`IPoint(IPoint p)`
`IPoint(IServerI s)`
`IPoint(IServerI s, double x, double y)`
`IPoint(IServerI s, double x, double y, double z)`
`IPoint(IServerI s, IPoint p)`
`IPoint(IServerI s, IVec v)`
`IPoint(IServerI s, IVecI v)`
`IPoint(IVec v)`
`IPoint(IVecI v)`

Method Summary
`IPoint` | `add(double x, double y, double z)` ITransformable API
`IPoint` | `add(double f, IVecI v)` scale add alias
`IPoint` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPoint` | `add(IDoubleI f, IVecI v)` scale add alias
`IPoint` | `add(IVecI v)`
`IPoint` | `add(IVecI v, double f)` scale add
`IPoint` | `add(IVecI v, IDoubleI f)` scale add
`double` | `angle(double vx, double vy, double vz)` get angle between two vector from 0 to Pi
`double` | `angle(double vx, double vy, double vz, double axisX, double axisY, double axisZ)`
`double` | `angle(ISwitchE e, IVecI v)` get angle between two vector from 0 to Pi
`double` | `angle(ISwitchE e, IVecI v, IVecI axis)`
`IDouble` | `angle(ISwitchR r, IVecI v)` get angle between two vector from 0 to Pi
`IDouble` | `angle(ISwitchR r, IVecI v, IVecI axis)`
`double` | `angle(IVecI v)` get angle between two vector from 0 to Pi
`double` | `angle(IVecI v, IVecI axis)`
`IPoint` | `attr(IAttribute at)` set attributes
`IVec` | `bisect(double vx, double vy, double vz)` create a new instance of bisector
`IVec` | `bisect(IVecI v)` create a new instance of bisector
`IVec` | `center()` center is same with position
`IPoint` | `clr(java.awt.Color c)`
`IPoint` | `clr(java.awt.Color c, double alpha)`
`IPoint` | `clr(java.awt.Color c, float alpha)`
`IPoint` | `clr(java.awt.Color c, int alpha)`
`IPoint` | `clr(double dgray)`
`IPoint` | `clr(double dgray, double dalpha)`
`IPoint` | `clr(double dr, double dg, double db)`
`IPoint` | `clr(double dr, double dg, double db, double da)`
`IPoint` | `clr(float fgray)`
`IPoint` | `clr(float fgray, float falpha)`
`IPoint` | `clr(float fr, float fg, float fb)`
`IPoint` | `clr(float fr, float fg, float fb, float fa)`
`IPoint` | `clr(IColor c)` to set an object color
`IPoint` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IPoint` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IPoint` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IPoint` | `clr(int gray)`
`IPoint` | `clr(int gray, int alpha)`
`IPoint` | `clr(int r, int g, int b)`
`IPoint` | `clr(int r, int g, int b, int a)`
`IPoint` | `clr(IObject o)` to set the same color with the object
`IPoint` | `cp()` cp() is alias of dup()
`IPoint` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IPoint` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
`IPoint` | `cp(IVecI v)` cp() is alias of dup().add()
`IGraphicObject` | `createGraphic(igeo.gui.IGraphicMode m)`
`IVec` | `cross(double vx, double vy, double vz)` cross product, creating a new instance
`IVec` | `cross(IVecI v)` cross product, creating a new instance
`IAttribute` | `defaultAttribute()` default setting in each object class; to be overridden in a child class
`IVec` | `dif(double vx, double vy, double vz)` create a new instance of difference
`IVec` | `dif(IVecI v)` create a new instance of difference
`IVec` | `diff(double vx, double vy, double vz)` alias of dif
`IVec` | `diff(IVecI v)` alias of dif
`double` | `dist(double vx, double vy, double vz)` distance of two vectors
`double` | `dist(ISwitchE e, IVecI v)` distance of two vectors
`IDouble` | `dist(ISwitchR r, IVecI v)` distance of two vectors
`double` | `dist(IVecI v)` distance of two vectors
`double` | `dist2(double vx, double vy, double vz)` squared distance of two vectors
`double` | `dist2(ISwitchE e, IVecI v)` squared distance of two vectors
`IDouble` | `dist2(ISwitchR r, IVecI v)` squared distance of two vectors
`double` | `dist2(IVecI v)` squared distance of two vectors
`IPoint` | `div(double v)`
`IPoint` | `div(IDoubleI v)`
`double` | `dot(double vx, double vy, double vz)` dot product
`double` | `dot(ISwitchE e, IVecI v)` dot product
`IDouble` | `dot(ISwitchR r, IVecI v)` dot product
`double` | `dot(IVecI v)` dot product
`IPoint` | `dup()` duplicate object
`boolean` | `eq(double vx, double vy, double vz)` check whether location is same or not
`boolean` | `eq(double vx, double vy, double vz, double tolerance)` check whether location is same or not with tolerance
`boolean` | `eq(ISwitchE e, IVecI v)` check whether location is same or not
`boolean` | `eq(ISwitchE e, IVecI v, double tolerance)` check whether location is same or not with tolerance
`IBool` | `eq(ISwitchR r, IVecI v)` check whether location is same or not
`IBool` | `eq(ISwitchR r, IVecI v, IDoubleI tolerance)` check whether location is same or not with tolerance
`boolean` | `eq(IVecI v)` check whether location is same or not
`boolean` | `eq(IVecI v, double tolerance)` check whether location is same or not with tolerance
`boolean` | `eqX(double vx)` check if same in X
`boolean` | `eqX(double vx, double tolerance)` check if same in X with tolerance
`boolean` | `eqX(ISwitchE e, IVecI v)` check if same in X
`boolean` | `eqX(ISwitchE e, IVecI v, double tolerance)` check if same in X with tolerance
`IBool` | `eqX(ISwitchR r, IVecI v)` check if same in X
`IBool` | `eqX(ISwitchR r, IVecI v, IDoubleI tolerance)` check if same in X with tolerance
`boolean` | `eqX(IVecI v)` check if same in X
`boolean` | `eqX(IVecI v, double tolerance)` check if same in X with tolerance
`boolean` | `eqY(double vy)` check if same in Y
`boolean` | `eqY(double vy, double tolerance)` check if same in Y with tolerance
`boolean` | `eqY(ISwitchE e, IVecI v)` check if same in Y
`boolean` | `eqY(ISwitchE e, IVecI v, double tolerance)` check if same in Y with tolerance
`IBool` | `eqY(ISwitchR r, IVecI v)` check if same in Y
`IBool` | `eqY(ISwitchR r, IVecI v, IDoubleI tolerance)` check if same in Y with tolerance
`boolean` | `eqY(IVecI v)` check if same in Y
`boolean` | `eqY(IVecI v, double tolerance)` check if same in Y with tolerance
`boolean` | `eqZ(double vz)` check if same in Z
`boolean` | `eqZ(double vz, double tolerance)` check if same in Z with tolerance
`boolean` | `eqZ(ISwitchE e, IVecI v)` check if same in Z
`boolean` | `eqZ(ISwitchE e, IVecI v, double tolerance)` check if same in Z with tolerance
`IBool` | `eqZ(ISwitchR r, IVecI v)` check if same in Z
`IBool` | `eqZ(ISwitchR r, IVecI v, IDoubleI tolerance)` check if same in Z with tolerance
`boolean` | `eqZ(IVecI v)` check if same in Z
`boolean` | `eqZ(IVecI v, double tolerance)` check if same in Z with tolerance
`IPoint` | `flip()` alias of neg
`IVec` | `get()`
`double` | `getSize()`
`IDouble` | `getX()`
`IDouble` | `getY()`
`IDouble` | `getZ()`
`IPoint` | `hide()`
`IPoint` | `hsb(double h, double s, double b)`
`IPoint` | `hsb(double h, double s, double b, double a)`
`IPoint` | `hsb(float h, float s, float b)`
`IPoint` | `hsb(float h, float s, float b, float a)`
`void` | `initPoint(IServerI s)`
`boolean` | `isValid()` checking x, y, and z is valid number (not Infinite, nor NaN).
`IPoint` | `layer(ILayer l)` Set layer by ILayer object
`IPoint` | `layer(java.lang.String l)` Set layer by layer name.
`double` | `len()` getting length of the vector
`IPoint` | `len(double l)` setting length
`IPoint` | `len(IDoubleI l)` setting length
`double` | `len(ISwitchE e)` getting length of the vector
`IDouble` | `len(ISwitchR r)` getting length of the vector
`double` | `len2()` getting squared length of the vector
`double` | `len2(ISwitchE e)` getting squared length of the vector
`IDouble` | `len2(ISwitchR r)` getting squared length of the vector
`IVec` | `mid(double vx, double vy, double vz)` create a new instance of midpoint
`IVec` | `mid(IVecI v)` create a new instance of midpoint
`IPoint` | `mirror(double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPoint` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPoint` | `mirror(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPoint` | `mirror(IVecI center, IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPoint` | `mul(double v)`
`IPoint` | `mul(IDoubleI v)`
`IPoint` | `mv(double x, double y, double z)` mv() is alias of add()
`IPoint` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
`IPoint` | `mv(IVecI v)` mv() is alias of add()
`IPoint` | `name(java.lang.String nm)`
`IPoint` | `neg()`
`IVec` | `nml(double vx, double vy, double vz)` alias of cross
`IVec` | `nml(double vx1, double vy1, double vz1, double vx2, double vy2, double vz2)` create normal vector from 3 points of self, pt1 and pt2
`IVec` | `nml(IVecI v)` alias of cross.
`IVec` | `nml(IVecI pt1, IVecI pt2)` create normal vector from 3 points of self, pt1 and pt2
`IVec` | `pos()` passing position field
`IPoint` | `ref(double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPoint` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPoint` | `ref(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPoint` | `ref(IVecI center, IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPoint` | `rev()` alias of neg()
`IPoint` | `rot(double angle)` rotation on XY plane
`IPoint` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
`IPoint` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
`IPoint` | `rot(IDoubleI angle)` rotation around z-axis and origin
`IPoint` | `rot(IVecI axis, double angle)` rotation around axis vector
`IPoint` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IPoint` | `rot(IVecI axis, IVecI destDir)` Rotate to destination direction vector.
`IPoint` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
`IPoint` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center
`IPoint` | `rot(IVecI center, IVecI axis, IVecI destPt)` Rotate to destination point location.
`IPoint` | `rot2(double angle)` rotation on xy-plane around origin; same with rot(double)
`IPoint` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
`IPoint` | `rot2(IDoubleI angle)` rotation on xy-plane around origin; same with rot(IDoubleI)
`IPoint` | `rot2(IVecI destDir)` Rotate to destination direction vector.
`IPoint` | `rot2(IVecI center, double angle)` rotation on xy-plane
`IPoint` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane around center
`IPoint` | `rot2(IVecI center, IVecI destPt)` Rotate to destination point location.
`IPoint` | `scale(double f)` alias of mul
`IPoint` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
`IPoint` | `scale(IDoubleI f)` alias of mul
`IPoint` | `scale(IVecI center, double f)` scale from a center
`IPoint` | `scale(IVecI center, IDoubleI f)` scale from a center
`IPoint` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
`IPoint` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
`IPoint` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IPoint` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
`IPoint` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
`IPoint` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
`IPoint` | `set(double x, double y, double z)`
`IPoint` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPoint` | `set(IVecI v)`
`IPoint` | `setColor(java.awt.Color c)`
`IPoint` | `setColor(java.awt.Color c, double alpha)`
`IPoint` | `setColor(java.awt.Color c, float alpha)`
`IPoint` | `setColor(java.awt.Color c, int alpha)`
`IPoint` | `setColor(double dgray)`
`IPoint` | `setColor(double dgray, double dalpha)`
`IPoint` | `setColor(double dr, double dg, double db)`
`IPoint` | `setColor(double dr, double dg, double db, double da)`
`IPoint` | `setColor(float fgray)`
`IPoint` | `setColor(float fgray, float falpha)`
`IPoint` | `setColor(float fr, float fg, float fb)`
`IPoint` | `setColor(float fr, float fg, float fb, float fa)`
`IPoint` | `setColor(IColor c)`
`IPoint` | `setColor(IColor c, double alpha)`
`IPoint` | `setColor(IColor c, float alpha)`
`IPoint` | `setColor(IColor c, int alpha)`
`IPoint` | `setColor(int gray)`
`IPoint` | `setColor(int gray, int alpha)`
`IPoint` | `setColor(int r, int g, int b)`
`IPoint` | `setColor(int r, int g, int b, int a)`
`IPoint` | `setHSBColor(double h, double s, double b)`
`IPoint` | `setHSBColor(double h, double s, double b, double a)`
`IPoint` | `setHSBColor(float h, float s, float b)`
`IPoint` | `setHSBColor(float h, float s, float b, float a)`
`IPoint` | `setSize(double sz)` set size of dot in graphic ; it's just alias of weight()
`IPoint` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IPoint` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IPoint` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IPoint` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IPoint` | `shearXY(double sxy, double syx)` shear operation on XY
`IPoint` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IPoint` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
`IPoint` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IPoint` | `shearYZ(double syz, double szy)` shear operation on YZ
`IPoint` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IPoint` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
`IPoint` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IPoint` | `shearZX(double szx, double sxz)` shear operation on ZX
`IPoint` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IPoint` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
`IPoint` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IPoint` | `show()`
`double` | `size()`
`IPoint` | `size(double sz)`
`IPoint` | `sub(double x, double y, double z)`
`IPoint` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPoint` | `sub(IVecI v)`
`IVec` | `sum(double vx, double vy, double vz)` create a new instance of total summation
`IVec` | `sum(IVecI... v)` create a new instance of total summation
`IVec` | `sum(IVecI v)` create a new instance of total summation
`IVec` | `sum(IVecI v2, double w2)` create a new instance of weighted sum
`IVec` | `sum(IVecI v2, double w1, double w2)` weighted sum.
`IVec` | `sum(IVecI v2, IDoubleI w2)` create a new instance of weighted sum
`IVec` | `sum(IVecI v2, IDoubleI w1, IDoubleI w2)` create a new instance of weighted sum
`IVec2` | `to2d()`
`IVec2` | `to2d(IVecI projectionDir)`
`IVec2` | `to2d(IVecI xaxis, IVecI yaxis)`
`IVec2` | `to2d(IVecI xaxis, IVecI yaxis, IVecI origin)`
`IVec4` | `to4d()`
`IVec4` | `to4d(double w)`
`IVec4` | `to4d(IDoubleI w)`
`java.lang.String` | `toString()`
`IPoint` | `transform(IMatrix3I mat)` transform with a transformation matrix
`IPoint` | `transform(IMatrix4I mat)` transform with a transformation matrix
`IPoint` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
`IPoint` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
`IPoint` | `translate(double x, double y, double z)` translate is alias of add()
`IPoint` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
`IPoint` | `translate(IVecI v)` alias of add()
`IPoint` | `unit()` unitize
`IPoint` | `weight(double w)`
`IPoint` | `weight(float w)`
`double` | `x()` getting x component
`IPoint` | `x(double vx)` setting x component
`IPoint` | `x(IDoubleI vx)` setting x component
`double` | `x(ISwitchE e)` getting x component
`IDouble` | `x(ISwitchR r)` getting x component
`IPoint` | `x(IVec2I vx)` setting x component by x component of input vector
`IPoint` | `x(IVecI vx)` setting x component by x component of input vector
`double` | `y()` getting y component
`IPoint` | `y(double vy)` setting y component
`IPoint` | `y(IDoubleI vy)` setting y component
`double` | `y(ISwitchE e)` getting y component
`IDouble` | `y(ISwitchR r)` getting y component
`IPoint` | `y(IVec2I vy)` setting y component by y component of input vector
`IPoint` | `y(IVecI vy)` setting y component by y component of input vector
`double` | `z()` getting z component
`IPoint` | `z(double vz)` setting z component
`IPoint` | `z(IDoubleI vz)` setting z component
`double` | `z(ISwitchE e)` getting z component
`IDouble` | `z(ISwitchR r)` getting z component
`IPoint` | `z(IVecI vz)` setting z component by z component of input vector
`IPoint` | `zero()` setting all zero

Methods inherited from class igeo.IObject
`addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pos

    public IVec pos

Constructor Detail

### IPoint

    public IPoint()

### IPoint

    public IPoint(IVec v)

### IPoint

    public IPoint(IVecI v)

### IPoint

    public IPoint(double x,
                  double y,
                  double z)

### IPoint

    public IPoint(double x,
                  double y)

### IPoint

    public IPoint(IServerI s)

### IPoint

    public IPoint(IServerI s,
                  IVec v)

### IPoint

    public IPoint(IServerI s,
                  IVecI v)

### IPoint

    public IPoint(IServerI s,
                  double x,
                  double y,
                  double z)

### IPoint

    public IPoint(IServerI s,
                  double x,
                  double y)

### IPoint

    public IPoint(IPoint p)

### IPoint

    public IPoint(IServerI s,
                  IPoint p)

Method Detail

### initPoint

    public void initPoint(IServerI s)

### createGraphic

    public IGraphicObject createGraphic(igeo.gui.IGraphicMode m)

  Overrides:
    `createGraphic` in class `IObject`

### x

    public double x()

  Description copied from interface: `IVecI`
  getting x component

  Specified by:
    `x` in interface `IVecI`

### y

    public double y()

  Description copied from interface: `IVecI`
  getting y component

  Specified by:
    `y` in interface `IVecI`

### z

    public double z()

  Description copied from interface: `IVecI`
  getting z component

  Specified by:
    `z` in interface `IVecI`

### x

    public IPoint x(double vx)

  Description copied from interface: `IVecI`
  setting x component

  Specified by:
    `x` in interface `IVecI`

### y

    public IPoint y(double vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`

### z

    public IPoint z(double vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`

### x

    public IPoint x(IDoubleI vx)

  Description copied from interface: `IVecI`
  setting x component

  Specified by:
    `x` in interface `IVecI`

### y

    public IPoint y(IDoubleI vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`

### z

    public IPoint z(IDoubleI vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`

### x

    public IPoint x(IVecI vx)

  Description copied from interface: `IVecI`
  setting x component by x component of input vector

  Specified by:
    `x` in interface `IVecI`

### y

    public IPoint y(IVecI vy)

  Description copied from interface: `IVecI`
  setting y component by y component of input vector

  Specified by:
    `y` in interface `IVecI`

### z

    public IPoint z(IVecI vz)

  Description copied from interface: `IVecI`
  setting z component by z component of input vector

  Specified by:
    `z` in interface `IVecI`

### x

    public IPoint x(IVec2I vx)

  Description copied from interface: `IVecI`
  setting x component by x component of input vector

  Specified by:
    `x` in interface `IVecI`

### y

    public IPoint y(IVec2I vy)

  Description copied from interface: `IVecI`
  setting y component by y component of input vector

  Specified by:
    `y` in interface `IVecI`

### x

    public double x(ISwitchE e)

  Description copied from interface: `IVecI`
  getting x component

  Specified by:
    `x` in interface `IVecI`

### y

    public double y(ISwitchE e)

  Description copied from interface: `IVecI`
  getting y component

  Specified by:
    `y` in interface `IVecI`

### z

    public double z(ISwitchE e)

  Description copied from interface: `IVecI`
  getting z component

  Specified by:
    `z` in interface `IVecI`

### x

    public IDouble x(ISwitchR r)

  Description copied from interface: `IVecI`
  getting x component

  Specified by:
    `x` in interface `IVecI`

### y

    public IDouble y(ISwitchR r)

  Description copied from interface: `IVecI`
  getting y component

  Specified by:
    `y` in interface `IVecI`

### z

    public IDouble z(ISwitchR r)

  Description copied from interface: `IVecI`
  getting z component

  Specified by:
    `z` in interface `IVecI`

### get

    public IVec get()

  Specified by:
    `get` in interface `IParameter`
  Specified by:
    `get` in interface `IVecI`
  Specified by:
    `get` in interface `IVecOp`

### pos

    public IVec pos()

  passing position field

### center

    public IVec center()

  center is same with position

  Specified by:
    `center` in class `IGeometry`

### dup

    public IPoint dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IGeometry`

### to2d

    public IVec2 to2d()

  Specified by:
    `to2d` in interface `IVecI`

### to2d

    public IVec2 to2d(IVecI projectionDir)

  Specified by:
    `to2d` in interface `IVecI`

### to2d

    public IVec2 to2d(IVecI xaxis,
                      IVecI yaxis)

  Specified by:
    `to2d` in interface `IVecI`

### to2d

    public IVec2 to2d(IVecI xaxis,
                      IVecI yaxis,
                      IVecI origin)

  Specified by:
    `to2d` in interface `IVecI`

### to4d

    public IVec4 to4d()

  Specified by:
    `to4d` in interface `IVecI`

### to4d

    public IVec4 to4d(double w)

  Specified by:
    `to4d` in interface `IVecI`

### to4d

    public IVec4 to4d(IDoubleI w)

  Specified by:
    `to4d` in interface `IVecI`

### getX

    public IDouble getX()

  Specified by:
    `getX` in interface `IVecI`

### getY

    public IDouble getY()

  Specified by:
    `getY` in interface `IVecI`

### getZ

    public IDouble getZ()

  Specified by:
    `getZ` in interface `IVecI`

### set

    public IPoint set(IVecI v)

  Specified by:
    `set` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `set` in interface `IVecI`

### set

    public IPoint set(double x,
                      double y,
                      double z)

  Specified by:
    `set` in interface `IVecI`

### set

    public IPoint set(IDoubleI x,
                      IDoubleI y,
                      IDoubleI z)

  Specified by:
    `set` in interface `IVecI`

### add

    public IPoint add(double x,
                      double y,
                      double z)

  Description copied from class: `IGeometry`
  ITransformable API

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Specified by:
    `add` in class `IGeometry`

### add

    public IPoint add(IDoubleI x,
                      IDoubleI y,
                      IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Specified by:
    `add` in class `IGeometry`

### add

    public IPoint add(IVecI v)

  Specified by:
    `add` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Specified by:
    `add` in class `IGeometry`

### sub

    public IPoint sub(double x,
                      double y,
                      double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Specified by:
    `sub` in class `IGeometry`

### sub

    public IPoint sub(IDoubleI x,
                      IDoubleI y,
                      IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Specified by:
    `sub` in class `IGeometry`

### sub

    public IPoint sub(IVecI v)

  Specified by:
    `sub` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Specified by:
    `sub` in class `IGeometry`

### mul

    public IPoint mul(IDoubleI v)

  Specified by:
    `mul` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Specified by:
    `mul` in class `IGeometry`

### mul

    public IPoint mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Specified by:
    `mul` in class `IGeometry`

### div

    public IPoint div(IDoubleI v)

  Specified by:
    `div` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Specified by:
    `div` in class `IGeometry`

### div

    public IPoint div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Specified by:
    `div` in class `IGeometry`

### neg

    public IPoint neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`
  Specified by:
    `neg` in class `IGeometry`

### rev

    public IPoint rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`

### flip

    public IPoint flip()

  Description copied from class: `IGeometry`
  alias of neg

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`
  Specified by:
    `flip` in class `IGeometry`

### zero

    public IPoint zero()

  Description copied from interface: `IVecI`
  setting all zero

  Specified by:
    `zero` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `zero` in interface `IVecI`

### add

    public IPoint add(IVecI v,
                      double f)

  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Specified by:
    `add` in class `IGeometry`

### add

    public IPoint add(IVecI v,
                      IDoubleI f)

  Description copied from class: `IGeometry`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Specified by:
    `add` in class `IGeometry`

### add

    public IPoint add(double f,
                      IVecI v)

  scale add alias

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Specified by:
    `add` in class `IGeometry`

### add

    public IPoint add(IDoubleI f,
                      IVecI v)

  Description copied from class: `IGeometry`
  scale add alias

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Specified by:
    `add` in class `IGeometry`

### dot

    public double dot(IVecI v)

  Description copied from interface: `IVecI`
  dot product

  Specified by:
    `dot` in interface `IVecI`

### dot

    public double dot(double vx,
                      double vy,
                      double vz)

  Description copied from interface: `IVecI`
  dot product

  Specified by:
    `dot` in interface `IVecI`

### dot

    public double dot(ISwitchE e,
                      IVecI v)

  Description copied from interface: `IVecI`
  dot product

  Specified by:
    `dot` in interface `IVecI`

### dot

    public IDouble dot(ISwitchR r,
                       IVecI v)

  Description copied from interface: `IVecI`
  dot product

  Specified by:
    `dot` in interface `IVecI`

### cross

    public IVec cross(IVecI v)

  Description copied from interface: `IVecI`
  cross product, creating a new instance

  Specified by:
    `cross` in interface `IVecI`

### cross

    public IVec cross(double vx,
                      double vy,
                      double vz)

  Description copied from interface: `IVecI`
  cross product, creating a new instance

  Specified by:
    `cross` in interface `IVecI`

### len

    public double len()

  Description copied from interface: `IVecI`
  getting length of the vector

  Specified by:
    `len` in interface `IVecI`

### len

    public double len(ISwitchE e)

  Description copied from interface: `IVecI`
  getting length of the vector

  Specified by:
    `len` in interface `IVecI`

### len

    public IDouble len(ISwitchR r)

  Description copied from interface: `IVecI`
  getting length of the vector

  Specified by:
    `len` in interface `IVecI`

### len2

    public double len2()

  Description copied from interface: `IVecI`
  getting squared length of the vector

  Specified by:
    `len2` in interface `IVecI`

### len2

    public double len2(ISwitchE e)

  Description copied from interface: `IVecI`
  getting squared length of the vector

  Specified by:
    `len2` in interface `IVecI`

### len2

    public IDouble len2(ISwitchR r)

  Description copied from interface: `IVecI`
  getting squared length of the vector

  Specified by:
    `len2` in interface `IVecI`

### len

    public IPoint len(IDoubleI l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`

### len

    public IPoint len(double l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`

### unit

    public IPoint unit()

  Description copied from interface: `IVecI`
  unitize

  Specified by:
    `unit` in interface `IVecI`

### dist

    public double dist(IVecI v)

  Description copied from interface: `IVecI`
  distance of two vectors

  Specified by:
    `dist` in interface `IVecI`

### dist

    public double dist(double vx,
                       double vy,
                       double vz)

  Description copied from interface: `IVecI`
  distance of two vectors

  Specified by:
    `dist` in interface `IVecI`

### dist

    public double dist(ISwitchE e,
                       IVecI v)

  Description copied from interface: `IVecI`
  distance of two vectors

  Specified by:
    `dist` in interface `IVecI`

### dist

    public IDouble dist(ISwitchR r,
                        IVecI v)

  Description copied from interface: `IVecI`
  distance of two vectors

  Specified by:
    `dist` in interface `IVecI`

### dist2

    public double dist2(IVecI v)

  Description copied from interface: `IVecI`
  squared distance of two vectors

  Specified by:
    `dist2` in interface `IVecI`

### dist2

    public double dist2(double vx,
                        double vy,
                        double vz)

  Description copied from interface: `IVecI`
  squared distance of two vectors

  Specified by:
    `dist2` in interface `IVecI`

### dist2

    public double dist2(ISwitchE e,
                        IVecI v)

  Description copied from interface: `IVecI`
  squared distance of two vectors

  Specified by:
    `dist2` in interface `IVecI`

### dist2

    public IDouble dist2(ISwitchR r,
                         IVecI v)

  Description copied from interface: `IVecI`
  squared distance of two vectors

  Specified by:
    `dist2` in interface `IVecI`

### eq

    public boolean eq(IVecI v)

  Description copied from interface: `IVecI`
  check whether location is same or not

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(double vx,
                      double vy,
                      double vz)

  Description copied from interface: `IVecI`
  check whether location is same or not

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(ISwitchE e,
                      IVecI v)

  Description copied from interface: `IVecI`
  check whether location is same or not

  Specified by:
    `eq` in interface `IVecI`

### eq

    public IBool eq(ISwitchR r,
                    IVecI v)

  Description copied from interface: `IVecI`
  check whether location is same or not

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(IVecI v,
                      double tolerance)

  Description copied from interface: `IVecI`
  check whether location is same or not with tolerance

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(double vx,
                      double vy,
                      double vz,
                      double tolerance)

  Description copied from interface: `IVecI`
  check whether location is same or not with tolerance

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(ISwitchE e,
                      IVecI v,
                      double tolerance)

  Description copied from interface: `IVecI`
  check whether location is same or not with tolerance

  Specified by:
    `eq` in interface `IVecI`

### eq

    public IBool eq(ISwitchR r,
                    IVecI v,
                    IDoubleI tolerance)

  Description copied from interface: `IVecI`
  check whether location is same or not with tolerance

  Specified by:
    `eq` in interface `IVecI`

### eqX

    public boolean eqX(IVecI v)

  Description copied from interface: `IVecI`
  check if same in X

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(IVecI v)

  Description copied from interface: `IVecI`
  check if same in Y

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(IVecI v)

  Description copied from interface: `IVecI`
  check if same in Z

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(double vx)

  Description copied from interface: `IVecI`
  check if same in X

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(double vy)

  Description copied from interface: `IVecI`
  check if same in Y

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(double vz)

  Description copied from interface: `IVecI`
  check if same in Z

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(ISwitchE e,
                       IVecI v)

  Description copied from interface: `IVecI`
  check if same in X

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(ISwitchE e,
                       IVecI v)

  Description copied from interface: `IVecI`
  check if same in Y

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(ISwitchE e,
                       IVecI v)

  Description copied from interface: `IVecI`
  check if same in Z

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public IBool eqX(ISwitchR r,
                     IVecI v)

  Description copied from interface: `IVecI`
  check if same in X

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public IBool eqY(ISwitchR r,
                     IVecI v)

  Description copied from interface: `IVecI`
  check if same in Y

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public IBool eqZ(ISwitchR r,
                     IVecI v)

  Description copied from interface: `IVecI`
  check if same in Z

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(IVecI v,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in X with tolerance

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(IVecI v,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in Y with tolerance

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(IVecI v,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in Z with tolerance

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(double vx,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in X with tolerance

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(double vy,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in Y with tolerance

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(double vz,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in Z with tolerance

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(ISwitchE e,
                       IVecI v,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in X with tolerance

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(ISwitchE e,
                       IVecI v,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in Y with tolerance

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(ISwitchE e,
                       IVecI v,
                       double tolerance)

  Description copied from interface: `IVecI`
  check if same in Z with tolerance

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public IBool eqX(ISwitchR r,
                     IVecI v,
                     IDoubleI tolerance)

  Description copied from interface: `IVecI`
  check if same in X with tolerance

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public IBool eqY(ISwitchR r,
                     IVecI v,
                     IDoubleI tolerance)

  Description copied from interface: `IVecI`
  check if same in Y with tolerance

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public IBool eqZ(ISwitchR r,
                     IVecI v,
                     IDoubleI tolerance)

  Description copied from interface: `IVecI`
  check if same in Z with tolerance

  Specified by:
    `eqZ` in interface `IVecI`

### angle

    public double angle(IVecI v)

  Description copied from interface: `IVecI`
  get angle between two vector from 0 to Pi

  Specified by:
    `angle` in interface `IVecI`

### angle

    public double angle(double vx,
                        double vy,
                        double vz)

  Description copied from interface: `IVecI`
  get angle between two vector from 0 to Pi

  Specified by:
    `angle` in interface `IVecI`

### angle

    public double angle(ISwitchE e,
                        IVecI v)

  Description copied from interface: `IVecI`
  get angle between two vector from 0 to Pi

  Specified by:
    `angle` in interface `IVecI`

### angle

    public IDouble angle(ISwitchR r,
                         IVecI v)

  Description copied from interface: `IVecI`
  get angle between two vector from 0 to Pi

  Specified by:
    `angle` in interface `IVecI`

### angle

    public double angle(IVecI v,
                        IVecI axis)

  Specified by:
    `angle` in interface `IVecI`
    `axis` - axis to determin sign of angle following right-handed screw rule.
  Returns:
    angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

### angle

    public double angle(double vx,
                        double vy,
                        double vz,
                        double axisX,
                        double axisY,
                        double axisZ)

  Specified by:
    `angle` in interface `IVecI`
  Returns:
    angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

### angle

    public double angle(ISwitchE e,
                        IVecI v,
                        IVecI axis)

  Specified by:
    `angle` in interface `IVecI`
    `axis` - axis to determin sign of angle following right-handed screw rule.
  Returns:
    angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

### angle

    public IDouble angle(ISwitchR r,
                         IVecI v,
                         IVecI axis)

  Specified by:
    `angle` in interface `IVecI`
    `axis` - axis to determin sign of angle following right-handed screw rule.
  Returns:
    angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

### rot

    public IPoint rot(IDoubleI angle)

  Description copied from class: `IGeometry`
  rotation around z-axis and origin

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Specified by:
    `rot` in class `IGeometry`

### rot

    public IPoint rot(double angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Specified by:
    `rot` in class `IGeometry`

### rot

    public IPoint rot(IVecI axis,
                      IDoubleI angle)

  Description copied from class: `IGeometry`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Specified by:
    `rot` in class `IGeometry`

### rot

    public IPoint rot(IVecI axis,
                      double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Specified by:
    `rot` in class `IGeometry`

### rot

    public IPoint rot(double axisX,
                      double axisY,
                      double axisZ,
                      double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPoint rot(IVecI center,
                      IVecI axis,
                      double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Specified by:
    `rot` in class `IGeometry`

### rot

    public IPoint rot(double centerX,
                      double centerY,
                      double centerZ,
                      double axisX,
                      double axisY,
                      double axisZ,
                      double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPoint rot(IVecI center,
                      IVecI axis,
                      IDoubleI angle)

  Description copied from class: `IGeometry`
  rotation around axis vector and center

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Specified by:
    `rot` in class `IGeometry`

### rot

    public IPoint rot(IVecI axis,
                      IVecI destDir)

  Rotate to destination direction vector.

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Specified by:
    `rot` in class `IGeometry`

### rot

    public IPoint rot(IVecI center,
                      IVecI axis,
                      IVecI destPt)

  Rotate to destination point location.

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Specified by:
    `rot` in class `IGeometry`

### rot2

    public IPoint rot2(IDoubleI angle)

  Description copied from class: `IGeometry`
  rotation on xy-plane around origin; same with rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Specified by:
    `rot2` in class `IGeometry`

### rot2

    public IPoint rot2(double angle)

  Description copied from class: `IGeometry`
  rotation on xy-plane around origin; same with rot(double)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Specified by:
    `rot2` in class `IGeometry`

### rot2

    public IPoint rot2(IVecI center,
                       double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Specified by:
    `rot2` in class `IGeometry`

### rot2

    public IPoint rot2(double centerX,
                       double centerY,
                       double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `IVecI`

### rot2

    public IPoint rot2(IVecI center,
                       IDoubleI angle)

  Description copied from class: `IGeometry`
  rotation on xy-plane around center

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Specified by:
    `rot2` in class `IGeometry`

### rot2

    public IPoint rot2(IVecI destDir)

  Rotate to destination direction vector.

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Specified by:
    `rot2` in class `IGeometry`

### rot2

    public IPoint rot2(IVecI center,
                       IVecI destPt)

  Rotate to destination point location.

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Specified by:
    `rot2` in class `IGeometry`

### scale

    public IPoint scale(IDoubleI f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Specified by:
    `scale` in class `IGeometry`

### scale

    public IPoint scale(double f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Specified by:
    `scale` in class `IGeometry`

### scale

    public IPoint scale(IVecI center,
                        IDoubleI f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Specified by:
    `scale` in class `IGeometry`

### scale

    public IPoint scale(IVecI center,
                        double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Specified by:
    `scale` in class `IGeometry`

### scale

    public IPoint scale(double centerX,
                        double centerY,
                        double centerZ,
                        double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `IVecI`

### scale1d

    public IPoint scale1d(IVecI axis,
                          double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Specified by:
    `scale1d` in class `IGeometry`

### scale1d

    public IPoint scale1d(double axisX,
                          double axisY,
                          double axisZ,
                          double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `IVecI`

### scale1d

    public IPoint scale1d(IVecI axis,
                          IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Specified by:
    `scale1d` in class `IGeometry`

### scale1d

    public IPoint scale1d(IVecI center,
                          IVecI axis,
                          double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Specified by:
    `scale1d` in class `IGeometry`

### scale1d

    public IPoint scale1d(double centerX,
                          double centerY,
                          double centerZ,
                          double axisX,
                          double axisY,
                          double axisZ,
                          double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `IVecI`

### scale1d

    public IPoint scale1d(IVecI center,
                          IVecI axis,
                          IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Specified by:
    `scale1d` in class `IGeometry`

### ref

    public IPoint ref(IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Specified by:
    `ref` in class `IGeometry`

### ref

    public IPoint ref(double planeX,
                      double planeY,
                      double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`

### ref

    public IPoint ref(IVecI center,
                      IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Specified by:
    `ref` in class `IGeometry`

### ref

    public IPoint ref(double centerX,
                      double centerY,
                      double centerZ,
                      double planeX,
                      double planeY,
                      double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`

### mirror

    public IPoint mirror(IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Specified by:
    `mirror` in class `IGeometry`

### mirror

    public IPoint mirror(double planeX,
                         double planeY,
                         double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `IVecI`

### mirror

    public IPoint mirror(IVecI center,
                         IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Specified by:
    `mirror` in class `IGeometry`

### mirror

    public IPoint mirror(double centerX,
                         double centerY,
                         double centerZ,
                         double planeX,
                         double planeY,
                         double planeZ)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `IVecI`

### shear

    public IPoint shear(double sxy,
                        double syx,
                        double syz,
                        double szy,
                        double szx,
                        double sxz)

  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Specified by:
    `shear` in class `IGeometry`

### shear

    public IPoint shear(IDoubleI sxy,
                        IDoubleI syx,
                        IDoubleI syz,
                        IDoubleI szy,
                        IDoubleI szx,
                        IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Specified by:
    `shear` in class `IGeometry`

### shear

    public IPoint shear(IVecI center,
                        double sxy,
                        double syx,
                        double syz,
                        double szy,
                        double szx,
                        double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Specified by:
    `shear` in class `IGeometry`

### shear

    public IPoint shear(IVecI center,
                        IDoubleI sxy,
                        IDoubleI syx,
                        IDoubleI syz,
                        IDoubleI szy,
                        IDoubleI szx,
                        IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Specified by:
    `shear` in class `IGeometry`

### shearXY

    public IPoint shearXY(double sxy,
                          double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Specified by:
    `shearXY` in class `IGeometry`

### shearXY

    public IPoint shearXY(IDoubleI sxy,
                          IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Specified by:
    `shearXY` in class `IGeometry`

### shearXY

    public IPoint shearXY(IVecI center,
                          double sxy,
                          double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Specified by:
    `shearXY` in class `IGeometry`

### shearXY

    public IPoint shearXY(IVecI center,
                          IDoubleI sxy,
                          IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Specified by:
    `shearXY` in class `IGeometry`

### shearYZ

    public IPoint shearYZ(double syz,
                          double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Specified by:
    `shearYZ` in class `IGeometry`

### shearYZ

    public IPoint shearYZ(IDoubleI syz,
                          IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Specified by:
    `shearYZ` in class `IGeometry`

### shearYZ

    public IPoint shearYZ(IVecI center,
                          double syz,
                          double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Specified by:
    `shearYZ` in class `IGeometry`

### shearYZ

    public IPoint shearYZ(IVecI center,
                          IDoubleI syz,
                          IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Specified by:
    `shearYZ` in class `IGeometry`

### shearZX

    public IPoint shearZX(double szx,
                          double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Specified by:
    `shearZX` in class `IGeometry`

### shearZX

    public IPoint shearZX(IDoubleI szx,
                          IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Specified by:
    `shearZX` in class `IGeometry`

### shearZX

    public IPoint shearZX(IVecI center,
                          double szx,
                          double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Specified by:
    `shearZX` in class `IGeometry`

### shearZX

    public IPoint shearZX(IVecI center,
                          IDoubleI szx,
                          IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Specified by:
    `shearZX` in class `IGeometry`

### translate

    public IPoint translate(double x,
                            double y,
                            double z)

  translate is alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Specified by:
    `translate` in class `IGeometry`

### translate

    public IPoint translate(IDoubleI x,
                            IDoubleI y,
                            IDoubleI z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Specified by:
    `translate` in class `IGeometry`

### translate

    public IPoint translate(IVecI v)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Specified by:
    `translate` in class `IGeometry`

### transform

    public IPoint transform(IMatrix3I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Specified by:
    `transform` in class `IGeometry`

### transform

    public IPoint transform(IMatrix4I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Specified by:
    `transform` in class `IGeometry`

### transform

    public IPoint transform(IVecI xvec,
                            IVecI yvec,
                            IVecI zvec)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Specified by:
    `transform` in class `IGeometry`

### transform

    public IPoint transform(IVecI xvec,
                            IVecI yvec,
                            IVecI zvec,
                            IVecI translate)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Specified by:
    `transform` in class `IGeometry`

### mv

    public IPoint mv(double x,
                     double y,
                     double z)

  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Specified by:
    `mv` in class `IGeometry`

### mv

    public IPoint mv(IDoubleI x,
                     IDoubleI y,
                     IDoubleI z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Specified by:
    `mv` in class `IGeometry`

### mv

    public IPoint mv(IVecI v)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Specified by:
    `mv` in class `IGeometry`

### cp

    public IPoint cp()

  cp() is alias of dup()

  Specified by:
    `cp` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IGeometry`

### cp

    public IPoint cp(double x,
                     double y,
                     double z)

  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Specified by:
    `cp` in class `IGeometry`

### cp

    public IPoint cp(IDoubleI x,
                     IDoubleI y,
                     IDoubleI z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Specified by:
    `cp` in class `IGeometry`

### cp

    public IPoint cp(IVecI v)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Specified by:
    `cp` in class `IGeometry`

### dif

    public IVec dif(IVecI v)

  Description copied from interface: `IVecI`
  create a new instance of difference

  Specified by:
    `dif` in interface `IVecI`

### dif

    public IVec dif(double vx,
                    double vy,
                    double vz)

  Description copied from interface: `IVecI`
  create a new instance of difference

  Specified by:
    `dif` in interface `IVecI`

### diff

    public IVec diff(IVecI v)

  Description copied from interface: `IVecI`
  alias of dif

  Specified by:
    `diff` in interface `IVecI`

### diff

    public IVec diff(double vx,
                     double vy,
                     double vz)

  Description copied from interface: `IVecI`
  alias of dif

  Specified by:
    `diff` in interface `IVecI`

### mid

    public IVec mid(IVecI v)

  Description copied from interface: `IVecI`
  create a new instance of midpoint

  Specified by:
    `mid` in interface `IVecI`

### mid

    public IVec mid(double vx,
                    double vy,
                    double vz)

  Description copied from interface: `IVecI`
  create a new instance of midpoint

  Specified by:
    `mid` in interface `IVecI`

### sum

    public IVec sum(IVecI v)

  Description copied from interface: `IVecI`
  create a new instance of total summation

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVec sum(double vx,
                    double vy,
                    double vz)

  Description copied from interface: `IVecI`
  create a new instance of total summation

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVec sum(IVecI... v)

  Description copied from interface: `IVecI`
  create a new instance of total summation

  Specified by:
    `sum` in interface `IVecI`

### bisect

    public IVec bisect(IVecI v)

  Description copied from interface: `IVecI`
  create a new instance of bisector

  Specified by:
    `bisect` in interface `IVecI`

### bisect

    public IVec bisect(double vx,
                       double vy,
                       double vz)

  Description copied from interface: `IVecI`
  create a new instance of bisector

  Specified by:
    `bisect` in interface `IVecI`

### sum

    public IVec sum(IVecI v2,
                    double w1,
                    double w2)

  weighted sum.

  Specified by:
    `sum` in interface `IVecI`
  Returns:
    IVec

### sum

    public IVec sum(IVecI v2,
                    double w2)

  Description copied from interface: `IVecI`
  create a new instance of weighted sum

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVec sum(IVecI v2,
                    IDoubleI w1,
                    IDoubleI w2)

  Description copied from interface: `IVecI`
  create a new instance of weighted sum

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVec sum(IVecI v2,
                    IDoubleI w2)

  Description copied from interface: `IVecI`
  create a new instance of weighted sum

  Specified by:
    `sum` in interface `IVecI`

### nml

    public IVec nml(IVecI v)

  alias of cross. (not unitized ... ?)

  Specified by:
    `nml` in interface `IVecI`

### nml

    public IVec nml(double vx,
                    double vy,
                    double vz)

  Description copied from interface: `IVecI`
  alias of cross

  Specified by:
    `nml` in interface `IVecI`

### nml

    public IVec nml(IVecI pt1,
                    IVecI pt2)

  create normal vector from 3 points of self, pt1 and pt2

  Specified by:
    `nml` in interface `IVecI`

### nml

    public IVec nml(double vx1,
                    double vy1,
                    double vz1,
                    double vx2,
                    double vy2,
                    double vz2)

  Description copied from interface: `IVecI`
  create normal vector from 3 points of self, pt1 and pt2

  Specified by:
    `nml` in interface `IVecI`

### isValid

    public boolean isValid()

  checking x, y, and z is valid number (not Infinite, nor NaN).

  Specified by:
    `isValid` in interface `IVecI`
  Overrides:
    `isValid` in class `IObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### defaultAttribute

    public IAttribute defaultAttribute()

  default setting in each object class; to be overridden in a child class

  Overrides:
    `defaultAttribute` in class `IObject`

### setSize

    public IPoint setSize(double sz)

  set size of dot in graphic ; it's just alias of weight()

### size

    public IPoint size(double sz)

### getSize

    public double getSize()

### size

    public double size()

### name

    public IPoint name(java.lang.String nm)

  Overrides:
    `name` in class `IObject`

### layer

    public IPoint layer(ILayer l)

  Description copied from class: `IGeometry`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IGeometry`

### layer

    public IPoint layer(java.lang.String l)

  Description copied from class: `IGeometry`
  Set layer by layer name. If the layer specified by the name is not existing in the server, a new layer is automatically created in the server

  Overrides:
    `layer` in class `IGeometry`

### attr

    public IPoint attr(IAttribute at)

  Description copied from class: `IObject`
  set attributes

  Overrides:
    `attr` in class `IGeometry`

### hide

    public IPoint hide()

  Overrides:
    `hide` in class `IGeometry`

### show

    public IPoint show()

  Overrides:
    `show` in class `IGeometry`

### clr

    public IPoint clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(IColor c,
                      int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(IColor c,
                      float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(IColor c,
                      double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(java.awt.Color c)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(java.awt.Color c,
                      int alpha)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(java.awt.Color c,
                      float alpha)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(java.awt.Color c,
                      double alpha)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(int gray)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(float fgray)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(double dgray)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(int gray,
                      int alpha)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(float fgray,
                      float falpha)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(double dgray,
                      double dalpha)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(int r,
                      int g,
                      int b)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(float fr,
                      float fg,
                      float fb)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(double dr,
                      double dg,
                      double db)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(int r,
                      int g,
                      int b,
                      int a)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(float fr,
                      float fg,
                      float fb,
                      float fa)

  Overrides:
    `clr` in class `IGeometry`

### clr

    public IPoint clr(double dr,
                      double dg,
                      double db,
                      double da)

  Overrides:
    `clr` in class `IGeometry`

### hsb

    public IPoint hsb(float h,
                      float s,
                      float b,
                      float a)

  Overrides:
    `hsb` in class `IGeometry`

### hsb

    public IPoint hsb(double h,
                      double s,
                      double b,
                      double a)

  Overrides:
    `hsb` in class `IGeometry`

### hsb

    public IPoint hsb(float h,
                      float s,
                      float b)

  Overrides:
    `hsb` in class `IGeometry`

### hsb

    public IPoint hsb(double h,
                      double s,
                      double b)

  Overrides:
    `hsb` in class `IGeometry`

### setColor

    public IPoint setColor(IColor c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPoint setColor(IColor c,
                           int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPoint setColor(IColor c,
                           float alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPoint setColor(IColor c,
                           double alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPoint setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(java.awt.Color c,
                           int alpha)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(java.awt.Color c,
                           float alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPoint setColor(java.awt.Color c,
                           double alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPoint setColor(int gray)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(float fgray)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(double dgray)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(int gray,
                           int alpha)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(float fgray,
                           float falpha)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(double dgray,
                           double dalpha)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(int r,
                           int g,
                           int b)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(float fr,
                           float fg,
                           float fb)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(double dr,
                           double dg,
                           double db)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(int r,
                           int g,
                           int b,
                           int a)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(float fr,
                           float fg,
                           float fb,
                           float fa)

  Overrides:
    `setColor` in class `IGeometry`

### setColor

    public IPoint setColor(double dr,
                           double dg,
                           double db,
                           double da)

  Overrides:
    `setColor` in class `IGeometry`

### setHSBColor

    public IPoint setHSBColor(float h,
                              float s,
                              float b,
                              float a)

  Overrides:
    `setHSBColor` in class `IGeometry`

### setHSBColor

    public IPoint setHSBColor(double h,
                              double s,
                              double b,
                              double a)

  Overrides:
    `setHSBColor` in class `IGeometry`

### setHSBColor

    public IPoint setHSBColor(float h,
                              float s,
                              float b)

  Overrides:
    `setHSBColor` in class `IGeometry`

### setHSBColor

    public IPoint setHSBColor(double h,
                              double s,
                              double b)

  Overrides:
    `setHSBColor` in class `IGeometry`

### weight

    public IPoint weight(double w)

  Overrides:
    `weight` in class `IGeometry`

### weight

    public IPoint weight(float w)

  Overrides:
    `weight` in class `IGeometry`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD